<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for NoSuchDatabaseException StructType
 * @subpackage Structs
 */
class NoSuchDatabaseException extends Exception
{
    /**
     * The NoSuchDatabaseException
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\NoSuchDatabaseException
     */
    public $NoSuchDatabaseException;
    /**
     * Constructor method for NoSuchDatabaseException
     * @uses NoSuchDatabaseException::setNoSuchDatabaseException()
     * @param \StructType\NoSuchDatabaseException $noSuchDatabaseException
     */
    public function __construct(\StructType\NoSuchDatabaseException $noSuchDatabaseException = null)
    {
        $this
            ->setNoSuchDatabaseException($noSuchDatabaseException);
    }
    /**
     * Get NoSuchDatabaseException value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\NoSuchDatabaseException|null
     */
    public function getNoSuchDatabaseException()
    {
        return isset($this->NoSuchDatabaseException) ? $this->NoSuchDatabaseException : null;
    }
    /**
     * Set NoSuchDatabaseException value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\NoSuchDatabaseException $noSuchDatabaseException
     * @return \StructType\NoSuchDatabaseException
     */
    public function setNoSuchDatabaseException(\StructType\NoSuchDatabaseException $noSuchDatabaseException = null)
    {
        if (is_null($noSuchDatabaseException) || (is_array($noSuchDatabaseException) && empty($noSuchDatabaseException))) {
            unset($this->NoSuchDatabaseException);
        } else {
            $this->NoSuchDatabaseException = $noSuchDatabaseException;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\NoSuchDatabaseException
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
